
* {
    margin: 0;
    padding: 0;
    
}
body{
    justify-content: center;
    align-items: center;
    text-align: center;
}

.prijava {  
    background-image: url("../img/background.jpg");
   background-repeat: no-repeat;   
   background-size: cover;         
   background-position: center;    
   background-attachment: fixed;   

}

.card {
    overflow: hidden;
    box-shadow: 5px 5px 5px #a2b2ae;
    width: 100%;
}

.card-body {
    background-color: #4a6c73;
    border: 3px solid #4a6c73;
   
}
.fc-event-vert {
    background-color: yellow !important;
    opacity: 0.5; 
}
.card-body svg{
    color: #efead8;
}

input.form-control {
    border-radius: 5px;
    border: 1px solid #efead8;
    padding: 10px;
    font-size: 1rem;
    transition: border-color 0.3s ease;
    
}

input.form-control:focus {
    border-color: #efead8;
    box-shadow: 0 0 5px #efead8;
    outline: none;
    
}
.modal-title{
    color:#4a6c73;
    text-transform: uppercase;
    font-weight: 700;
}

button.btn {
    width: 100%;
    padding: 10px;
    font-size: 1.1rem;
    font-weight: bold;
    background-color: #efead8;
    color: #4a6c73;
    border: none;
    border-radius: 5px;
    transition: background-color 0.3s ease, transform 0.2s ease;
    text-transform: uppercase;
}

button.btn:hover {
    background-color: #a2b2ae;
    color:#efead8;
    transform: scale(1.05);
}

.text-center .nav-link{
    color:#efead8;
    padding-top: 1.5rem;
    font-size: 17px;
}
.navbar{
    background-color: #4a6c73;
}
.navbar-brand {
    font-size: 28px;            
    font-weight: 700;             
    text-transform: uppercase;   
    color: #efead8 !important;   
    letter-spacing: 2px;           
}  

.nav-item a{
    color:#efead8;
    text-transform: uppercase;
    font-weight: 700;
}
.nav-item a:hover{
    color:#a2b2ae;
}
.nav-link{
    color: #efead8;
}
.nav-link.active{
    color: #a2b2ae!important;
}
.navbar-toggler{
    color: #a2b2ae!important;
    background-color: #efead8;
}
footer{
    background-color: #4a6c73;
    color:#efead8;
}

.fc-toolbar-chunk h2{
    text-transform: uppercase;
    color:#4a6c73;
    font-size: 18px;
    font-weight: 700;
}
.fc-col-header{
    background-color: #4a6c73;
    
}
.fc-col-header a{
    color: white;
    text-decoration: none;
    text-transform: uppercase;
}

.fc-prev-button {
    background-color: #4a6c73!important;         
    color: #efead8;            
}
.fc-next-button {
    background-color:  #4a6c73!important;           
    color: #efead8;                    
}
.fc-button-primary{
    background-color: #4a6c73!important;    
}
.fc-button-primary:hover {
    background-color: #a2b2ae!important;   
}
.fc-button-group button{
    border: 1px solid #a2b2ae!important;
}
.fc-daygrid-day-frame.fc-scrollgrid-sync-inner a{
    color: #4a6c73 !important;
    text-decoration: none;
    font-size: 18px;
    font-weight: 400;
    text-align: center!important;
}

                 
/* Za ekrane od 576px i manji */
@media (max-width: 576px) {
    .card {
        width: 100%;
    }
    #calendar {
        width: 100%; 
        font-size: 12px; 
    }    
    .fc-button {
        font-size: 12px; 
        padding: 5px; 
    }
    .fc-right {
        display: none !important;
    }
}

/* Za ekrane manji od 400px */
@media (max-width: 400px) {
    .card {
        padding: 5px;
    }
    #calendar {
        font-size: 10px; 
    }
    .fc-button {
        font-size: 10px; 
        padding: 2px; 
    }
    .fc-right {
        display: none !important;
    }
    .navbar-toggler-icon {
        display: inline-block;
        width: 1em;
        height: 1em;
    }

}
@media (max-width: 360px) {
    .card {
        padding: 5px; 
    }
    #calendar {
        font-size: 10px;
    }
    .fc-button {
        font-size: 10px; 
        padding: 2px; 
    }
 
    .navbar-toggler-icon {
        display: inline-block;
        width: 1em;
        height: 1em;
    }
    .fc-timeGridWeek-button{
        display: none !important;
    }
    .fc-timeGridDay-button{
        display: none !important;
    }
    .fc-timeGridMonth-button{
        display: none !important;
    }


}

@media (min-width: 768px) {
    .card {
        width: 100%;
    }
    #calendar {
        width: 100%; 
        font-size: 16px; 
    }    
   
    .fc-button {
        font-size: 12px; 
        padding: 5px; 
    }
}

@media (min-width: 992px) {
    .card {
        width: 100%;
    }
    #calendar {
        width: 100%; 
        font-size: 16px; 
       
    }  
    .fc-button {
        font-size: 16px; 
        padding: 5px; 
    }  
   

}

@media (min-width: 1200px) {
    .card {
        width: 100%;
    }
    #calendar {
        width: 100%; 
        font-size: 16px; 
       
    }  
    .fc-button {
        font-size: 12px; 
        padding: 5px; 
    }   
}
